Timed Releases
POST /timed-releases/{timedReleaseId}/enter
Enter a timed release
POST
/
timed-releases
/
{timedReleaseId}
/
enter
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/timed-releases/{timedReleaseId}/enter \
--header 'Content-Type: application/json' \
--data '
{
"variantId": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({variantId: '<string>'})
};
fetch('https://consumer.fanfare.io/api/timed-releases/{timedReleaseId}/enter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/timed-releases/{timedReleaseId}/enter"
payload = { "variantId": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/timed-releases/{timedReleaseId}/enter"
payload := strings.NewReader("{\n \"variantId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "<string>",
"admissionGrant": "<string>",
"completedAt": "<string>",
"enteredAt": "<string>",
"expiresAt": "<string>",
"leftAt": "<string>",
"selectedVariantId": "<string>"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/timed-releases/{timedReleaseId}/enter \
--header 'Content-Type: application/json' \
--data '
{
"variantId": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({variantId: '<string>'})
};
fetch('https://consumer.fanfare.io/api/timed-releases/{timedReleaseId}/enter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/timed-releases/{timedReleaseId}/enter"
payload = { "variantId": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/timed-releases/{timedReleaseId}/enter"
payload := strings.NewReader("{\n \"variantId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "<string>",
"admissionGrant": "<string>",
"completedAt": "<string>",
"enteredAt": "<string>",
"expiresAt": "<string>",
"leftAt": "<string>",
"selectedVariantId": "<string>"
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}